## NMDeviceEthernet NMDeviceEthernet |

## Functions

const char * | nm_device_ethernet_get_hw_address ()
const char * | nm_device_ethernet_get_permanent_hw_address ()
guint32 | nm_device_ethernet_get_speed ()
gboolean | nm_device_ethernet_get_carrier ()
const char *const * | nm_device_ethernet_get_s390_subchannels ()

## Types and Values

#define | NM_DEVICE_ETHERNET_HW_ADDRESS
#define | NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS
#define | NM_DEVICE_ETHERNET_SPEED
#define | NM_DEVICE_ETHERNET_CARRIER
#define | NM_DEVICE_ETHERNET_S390_SUBCHANNELS

## Description

## Functions

### nm_device_ethernet_get_hw_address ()

    const char *
    nm_device_ethernet_get_hw_address (NMDeviceEthernet *device);

`nm_device_ethernet_get_hw_address` is deprecated and should not be used in newly-written code.

### nm_device_ethernet_get_permanent_hw_address ()

    const char *
    nm_device_ethernet_get_permanent_hw_address
                                   (NMDeviceEthernet *device);

### nm_device_ethernet_get_speed ()

    guint32
    nm_device_ethernet_get_speed (NMDeviceEthernet *device);

### nm_device_ethernet_get_carrier ()

    gboolean
    nm_device_ethernet_get_carrier (NMDeviceEthernet *device);

### nm_device_ethernet_get_s390_subchannels ()

    const char *const *
    nm_device_ethernet_get_s390_subchannels
                                   (NMDeviceEthernet *device);

## Types and Values

### NM_DEVICE_ETHERNET_HW_ADDRESS

    #define NM_DEVICE_ETHERNET_HW_ADDRESS           "hw-address"

### NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS

    #define NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS "perm-hw-address"

### NM_DEVICE_ETHERNET_SPEED

    #define NM_DEVICE_ETHERNET_SPEED                "speed"

### NM_DEVICE_ETHERNET_CARRIER

    #define NM_DEVICE_ETHERNET_CARRIER              "carrier"

### NM_DEVICE_ETHERNET_S390_SUBCHANNELS

    #define NM_DEVICE_ETHERNET_S390_SUBCHANNELS     "s390-subchannels"